Skip to main content
POST
Create a Direct Debit Mandate
For a complete guide on response codes and transaction statuses, see Response Codes.

Authorizations

Authorization
string
header
required

Nomba authenticates API calls with OAuth2 HTTP bearer tokens. There are two methods of authentication; Client-Credentials method and PKCE (Proof Key for Code Exchange) method. Both methods return an access token. Send it in the Authorization header: Authorization: Bearer <access_token>.

Headers

accountId
string
required

The vendor account ID

Body

application/json
customerAccountNumber
string
required
Example:

"0174534423"

bankCode
string
required
Example:

"101"

customerName
string
required
Example:

"Kolapo Ojo"

customerAccountName
string
required
Example:

"Kolapo Ojo"

amount
number<double>
required
Example:

100

frequency
enum<string>
required
Available options:
VARIABLE,
WEEKLY,
EVERY_TWO_WEEKS,
MONTHLY,
EVERY_TWO_MONTHS,
EVERY_THREE_MONTHS,
EVERY_FOUR_MONTHS,
EVERY_FIVE_MONTHS,
EVERY_SIX_MONTHS,
EVERY_SEVEN_MONTHS,
EVERY_EIGHT_MONTHS,
EVERY_NINE_MONTHS,
EVERY_TEN_MONTHS,
EVERY_ELEVEN_MONTHS,
EVERY_TWELVE_MONTHS
Example:

"WEEKLY"

merchantReference
string
required

A NUMERIC string (0-9) used to track a transaction. It must be unique per transaction.

Example:

"120030740017"

startDate
string<date-time>
required
Example:

"2025-08-29T14:58"

endDate
string<date-time>
required
Example:

"2025-08-30T10:40"

customerEmail
string
required
Example:

"kolapo@gmail.com"

customerAddress
string
Example:

"maryland Ikeja computer village"

narration
string
Example:

"test e mandate response"

customerPhoneNumber
string
Example:

"0807882343"

startImmediately
boolean
Example:

true

Response

Mandate created successfully

responseMessage
string
required
Example:

"Success"

responseCode
string
required
Example:

"00"

data
object
required